Get application by key

Beta
Retrieve an application by the application key. ### Expanding the application response LaunchDarkly supports expanding the "Get application" response to include additional fields. To expand the response, append the `expand` query parameter and include the following: * `flags` includes details on the flags that have been evaluated by the application For example, use `?expand=flags` to include the `flags` field in the response. By default, this field is **not** included in the response.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

applicationKeystringRequiredformat: "string"
The application key

Query parameters

expandstringOptionalformat: "string"

A comma-separated list of properties that can reveal additional information in the response. Options: flags.

Response

Application response
autoAddedboolean
Whether the application was automatically created because it was included in a context when a LaunchDarkly SDK evaluated a feature flag, or was created through the LaunchDarkly UI or REST API.
keystring
The unique identifier of this application
kindenum
To distinguish the kind of application
Allowed values:
namestring
The name of the application
flagsobjectOptional
Details about the flags that have been evaluated by the application
_accessobjectOptional
Details on the allowed and denied actions for this application
_versionintegerOptional
Version of the application
creationDatelongOptional
Timestamp of when the application version was created
descriptionstringOptional
The application description
_maintainerobjectOptional
Associated maintainer member or team info for the application

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error